﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HowDoICodeFirst.Annotations.Models;
using System.Data;

namespace HowDoICodeFirst.Controllers
{
    public class BlogController : Controller
    {
        private BlogContext db = new BlogContext();

        public ActionResult Index()
        {
            return View(db.Blogs);
        }

        public ActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Create(Blog blog)
        {
            try
            {
                db.Blogs.Add(blog);
                db.SaveChanges();

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        public ActionResult Edit(int id)
        {


            return View(db.Blogs.Find(id)); //Find is a DbSet method, finds primary key
        }


        [HttpPost]
        public ActionResult Edit(int id, Blog blog)
        {
            try
            {
                db.Entry(blog).State = System.Data.EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        public ActionResult Delete(int id)
        {
            return View(db.Blogs.Find(id));
        }

        [HttpPost]
        public ActionResult Delete(int id, Blog blog)
        {
            try
            {
                db.Entry(blog).State = EntityState.Deleted;
                db.SaveChanges();

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}
