﻿using System.Data.Entity;
using System.Collections.Generic;

namespace HowDoICodeFirst.Annotations.Models
{
    public class BlogContext : DbContext  //DbContext represents a session with the database
    {
        public DbSet<Blog> Blogs { get; set; }
        public DbSet<Post> Posts { get; set; }
        public DbSet<Comment> Comments { get; set; }
    }
    public class BlogContextInitializer : DropCreateDatabaseIfModelChanges<BlogContext>
    {
        protected override void Seed(BlogContext context)
        {

            new List<Blog>
           {
            new Blog { BloggerName = "Julie", Title = "My Code First Blog",
                BlogDetail=new BlogDetails{Description="All about code first",DateCreated=new System.DateTime(2011,3,1)}
            ,Posts=new List<Post>{new Post { Title="ForeignKeyAttribute Annotation",DateCreated=System.DateTime.Now, Content="Mark navigation property with ForeignKey"}}
            },
            new Blog { BloggerName = "Ingemaar", Title = "My Life as a Blog",
                BlogDetail=new BlogDetails{Description="Random tidbits",DateCreated=new System.DateTime(2011,1,1)}},
            new Blog { BloggerName = "Sampson", Title = "Tweeting for Dogs",
                BlogDetail=new BlogDetails{Description="How to tweet without opposable thumbs",DateCreated=new System.DateTime(2011,2,1)}}
            }.ForEach(b => context.Blogs.Add(b));
            base.Seed(context);
        }
    }
}